﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace xamDataGridDifferentChildLayouts
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new LibraryBusinessLogic().Categories;
        }

        private void xamDataGrid1_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            if (e.ParentExpandableFieldRecord != null)
            {
                if ((e.ParentExpandableFieldRecord.ParentRecord as DataRecord).Cells[0].Value.ToString() == "Thriller")
                {
                    e.FieldLayout = xamDataGrid1.FieldLayouts["typeA"];
                }
                else
                    e.FieldLayout = xamDataGrid1.FieldLayouts["typeB"];
            }
        }
    }
}
